#7144 closed bug (fixed)

directory-1.1.1.0 violates the PVP

Reported by: SimonHengel Owned by: pcapriotti
Priority: normal Milestone: 7.6.1
Component: libraries/directory Version: 7.6.1-rc1
Keywords: Cc:
Operating System: Unknown/Multiple Architecture: Unknown/Multiple
Type of failure: Other Difficulty: Unknown
Test Case: Blocked By:
Blocking: Related Tickets:

Description

The version of directory that ships with GHC 7.6.1-rc1 changes the type of getModificationTime.

commit d0cab4bb327910a341bc99f4e8539806bd671a11
Author: Ian Lynagh <igloo@earth.li>
Date:   Sat Jan 14 17:07:40 2012 +0000

    Switch to using the time package, rather than old-time

I think this requires a version bump to 1.2.0.0.

Change History (5)

comment:1 Changed 21 months ago by pcapriotti

  • Difficulty set to Unknown
  • Milestone set to 7.6.1
  • Owner set to pcapriotti

Right, thanks for catching this.

comment:2 Changed 21 months ago by SimonHengel

I wrote a patch for cabal-install
(change set,
pull request)
that depends on this. Is it still safe to test for >= 1.1.1?

comment:3 Changed 21 months ago by pcapriotti

I think so, 1.1.1.0 has not and will not be released, so >=1.1.1 is equivalent to >=1.2.

comment:4 Changed 21 months ago by tibbe

Since 1.1.1.0 might be released in the future, even though it's unlikely, so code that depends on something added in 1.2 should depend on >=1.2.

comment:5 Changed 20 months ago by pcapriotti

  • Resolution set to fixed
  • Status changed from new to closed

This is fixed now on both the HEAD and the 7.6 branch.

Note: See TracTickets for help on using tickets.